apiVersion: apps/v1
kind: Deployment
metadata:
  name: promiscuity-locations
  labels:
    app: promiscuity-locations
spec:
  replicas: 2
  selector:
    matchLabels:
      app: promiscuity-locations
  template:
    metadata:
      labels:
        app: promiscuity-locations
    spec:
      containers:
        - name: promiscuity-locations
          image: promiscuity-locations:latest
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 5002
          readinessProbe:
            httpGet:
              path: /healthz
              port: 5002
            initialDelaySeconds: 5
            periodSeconds: 10
